#pragma once

namespace maps {
namespace wiki {
namespace diffalert {

struct MessageReporter;
class LongtaskDiffContext;

void checkTransportPointDispClassChange(const LongtaskDiffContext& diff, MessageReporter& messages);
void checkTransportPointsAnyChange(const LongtaskDiffContext& diff, MessageReporter& messages);
void checkTramRouteChange(const LongtaskDiffContext& diff, MessageReporter& messages);

} // namespace diffalert
} // namespace wiki
} // namespace maps
